Description

Hi,

I notice in the QGIS 2.4,

when setting the "rotation indicator" and there is a SVG marker in a line,if the ofset is negative the svg is reversed.

I prepare a PDF to explain better the case.

History

#1 - 2014-09-24 03:46 AM - Paolo Cavallini

- Priority changed from High to Normal

Not quite sure this is a bug. The current behaviour makes sense to me, and it's unclear what would be the best one for this case.

#2 - 2014-09-24 01:25 PM - aperi2007 -

Its a bug.

It change the versus of the svg when the checkbox is checked.

And this is wrong.

Also it change the versus only when the offset is negative also this is wrong.

It is a serious bug because without the checkbox checked the symbol is always horizontal.

And this is surely a bad situation for a linear rendering with SVG symbols.

A.

#3 - 2014-09-26 08:07 PM - Leyan Ouyang

I agree that this does not look like a bug. Positive offset means "on the right hand side", negative offset means the opposite. Without the "rotate marker"

checkbox, the symbol always points up. With the "rotate marker" checkbox, the symbol always point to the line. If you put it on the other side of the line, it

will still point toward the line.

You seem to want symbols perpendicular to the line, but still always pointing somewhat "up". But whether they are above or under the line will depend on

the line direction, so the end result would look strange as well. Could you share an example of the rendering you want to achieve?
#4 - 2014-09-26 10:46 PM - aperi2007 -

Hi,

the issue born from a need to have a rendering like this:

https://www.dropbox.com/s/f8djhnw2whpamee/semifreccia_destra.gif?dl=1

has you can see the arrow is forward right and has the point half asimmetric.

:)

When I try to replicate this 

moving them up with offset-line I hve this other effect:

https://www.dropbox.com/s/0mo65xb3bzi9oj0/semifreccia_sinistra.gif?dl=1

has you can see it is rotate forward left but also is reversed up/down.

So I guess tthere is some a bug however.

But after more explaining with others user I guess this is not a bug.

Infact.

I understand that the offset-line is correctly mode forward or changeing when it is positive or negative .

Please note the negative value of offset-line value is not only Up/down but taking account of the negative , it mean also "rotate of 180 degree).

Dont forget it is a SVG symbol and it is declared (the svg is a complex format) in a spherical world.

As a confirm of this, I notice that when offset line is positive the SVG is forward right.

when offset-line is negative it is reversed forward left.

AND when offset-line is zero (0) is it disappeared.

This is correct thinking that it is a projection from a sphere on a plane.

After understanding all this,

I found the right solution to have my rendering.

Infact, I put the offset-line positive with value +1 (and this send the svg under the line).

After this I open the marker section and set the Y-offset value at the value -2

so I project the symbol in the positive part and these mean it go forward right.

And after I move (the y-offset of marker) it up in the plane projected of 2 units.

And have exactly what I wnat.

So I concluded that this is not a bug.

:)

So sorry for noise.

But was surely interesting for understanding better the SVG world.

Cheers,

Andrea.
#5 - 2014-09-27 12:32 AM - Paolo Cavallini

- Resolution set to invalid

- Status changed from Open to Closed

Files

qgis-rotation-indicator-svg-bug.pdf 144 KB 2014-09-23 aperi2007 -
